Bug 89608 - USB device not accepting new address on A7V333-X
USB device not accepting new address on A7V333-X
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
9
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-24 18:41 EDT by Stephen Lewis
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-18 18:19:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Kernel messages, interrupt and PCI config data (9.27 KB, text/plain)
2003-04-24 18:43 EDT, Stephen Lewis
no flags Details
Kernel 2.4.22-pre6-ac1 log with verbose USB error reporting (24.08 KB, text/plain)
2003-07-18 17:54 EDT, Stephen Lewis
no flags Details

  None (edit)
Description Stephen Lewis 2003-04-24 18:41:55 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
Using RH9 clean install on Asus A7V333-X mobo with Athlon XP2600+ processor.

The motherboard  has three USB 2.0 hubs on it. All three appear to be
initialised correctly, but only one appears to work at any time. After
rebooting, the working hub will not necessarily be the same one. the other two
hubs give "USB device not accepting new address" errors.

The same problem occurs on the 3 USB devices I have: a 128MB USB memory stick,
an HP 315 camera, and a Trust Micro Mouse.



Version-Release number of selected component (if applicable):
kernel-2.4.20-9

How reproducible:
Always

Steps to Reproduce:
1. Connect USB device to one of the 3 on-board hubs

    

Actual Results:  Only one hub works - it appears to be random on each boot.

Expected Results:  All three should work.

Additional info:
Comment 1 Stephen Lewis 2003-04-24 18:43:16 EDT
Created attachment 91285 [details]
Kernel messages, interrupt and PCI config data
Comment 2 Stephen Lewis 2003-04-28 17:34:05 EDT
Just tried home-compiled kernel-2.4.21-rc1-ac3. The "usb_control/bulk_msg:
timeout" errors in the earlier attachment do not appear to be present from
limited testing, but the main problem is still there. 
Comment 3 Pete Zaitcev 2003-06-02 23:13:54 EDT
Try to remove ehci-hcd from /etc/modules.conf.
Comment 4 Pete Zaitcev 2003-06-03 16:31:41 EDT
The "kill ehci-hcd" suggestion still stands, plus I'd like a report on
the 2.4.20-18. Thanks.
Comment 5 Stephen Lewis 2003-06-09 18:19:59 EDT
Using kernel 2.4.20-18.9, only the hub connected to the front USB ports appears
to have this problem; the other 2 hubs work OK. On investigating, this is also
true of 2.4.20-13.9.

IIRC, the front hub used to work intermittently with the earlier kernels, so I
don't believe it's a hardware problem.

Removing the ehci-hcd line from modules.conf makes no difference.
Comment 6 Stephen Lewis 2003-07-18 17:54:22 EDT
Created attachment 93012 [details]
Kernel 2.4.22-pre6-ac1 log with verbose USB error reporting

I have just repeated this test with kernel 2.4.22-pre6-ac1, having set verbose
USB error reporting at compile time. Results attached. It now appears to be the
same (front panel) hub reporting this problem at all times, so earlier comment
about random hub may be unrelated.
Comment 7 Stephen Lewis 2003-07-18 18:19:45 EDT
Bug closed. Signal wires to header on motherboard transposed - a hardware problem.

Note You need to log in before you can comment on or make changes to this bug.